Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class ItemProperty

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.ItemProperty

Deprecated See BEA Commerce product offering

    @Deprecated
    public class ItemProperty

extends Object

Immutable object.

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering

Constructor Summary
`ItemProperty(ItemAttribute attribute, Operator op, String value)` Deprecated See BEA Commerce product offering

Method Summary
`ItemAttribute` | `getAttribute()` Deprecated See BEA Commerce product offering
`Operator` | `getOperator()` Deprecated See BEA Commerce product offering
`String` | `getValue()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering
`static String` | `toString(List list)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### ItemProperty

    public ItemProperty(ItemAttribute attribute,
                        Operator op,
                        String value)

  Deprecated See BEA Commerce product offering

Method Detail

### getAttribute

    public ItemAttribute getAttribute()

  Deprecated See BEA Commerce product offering

### getOperator

    public Operator getOperator()

  Deprecated See BEA Commerce product offering

### getValue

    public String getValue()

  Deprecated See BEA Commerce product offering

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

### toString

    public static String toString(List list)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved